%def_disable static
%def_with largefile
%def_with manpages

Name: zziplib
Version: 0.13.49
Release: alt1

Summary: Lightweight library to easily extract data from zip files
Group: System/Libraries
License: LGPL/MPL

URL: http://zziplib.sourceforge.net/
Source: http://dl.sourceforge.net/zziplib/zziplib-%version.tar.bz2

# Automatically added by buildreq on Wed Mar 21 2007
BuildRequires: gcc-c++ libSDL-devel python-modules-encodings xmlto zip zlib-devel

%{?_enable_static:BuildPreReq: glibc-devel-static}

%description
The zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
It also provides a functionality to overlay the archive filesystem
with the filesystem of the operating system environment.

%package devel
Summary: Header files needed to develop programs using zziplib
Group: Development/C
Requires: %name = %version-%release
Requires: pkgconfig >= 0.9.0

%description devel
The zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
It also provides a functionality to overlay the archive filesystem
with the filesystem of the operating system environment.

This package contains header files needed to develop programs using
zziplib.

%if_enabled static
%package devel-static
Summary: Static version of zziplib
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
The zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
It also provides a functionality to overlay the archive filesystem
with the filesystem of the operating system environment.

This package contains static version of zziplib.
%endif

%package utils
Summary: ZZipLib utilites
Group: Archiving/Compression
Requires: %name = %version-%release

%description utils
The zziplib provides read access to zipped files in a zip-archive,
using compression based solely on free algorithms provided by zlib.
It also provides a functionality to overlay the archive filesystem
with the filesystem of the operating system environment.

This package contains some useful ZZipLib utilites.

%prep
%setup -q

%build
%configure --enable-sdl \
	%{subst_with largefile} \
	%{subst_enable static}
%make_build

%install
%make_install DESTDIR=%buildroot install %{?_with_manpages: install-man3}

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%doc ChangeLog README TODO
%_libdir/lib*.so.*

%files devel
%doc docs/README.SDL
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_datadir/aclocal/*.m4
%_datadir/zziplib
%_includedir/*
%if_with manpages
%_man3dir/*
%endif

%if_enabled static
%files devel-static
%_libdir/lib*.a
%endif

%files utils
%_bindir/*

%changelog
* Tue Mar 20 2007 Victor Forsyuk <force@altlinux.org> 0.13.49-alt1
- 0.13.49 with security fix, see http://www.securitylab.ru/forum/read.php?FID=21&TID=40858&MID=326187
- More accurate License tag (dual LGPL/MPL).
- Build (conditionally) with man pages.

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.13.38-alt1.1
- Rebuilt for new pkg-config dependencies.

* Mon May 16 2005 Victor Forsyuk <force@altlinux.ru> 0.13.38-alt1
- Author suggests not to use unmaintained and deep frozen 0.10.x anymore.
  So we switch to developer branch - 0.13.
- Add URL.
- Enable build with SDL.
- Update buildreqs.

* Thu May 06 2004 Sir Raorn <raorn@altlinux.ru> 0.10.82-alt1
- Built for Sisyphus
